summaryrefslogtreecommitdiff
path: root/sh/rc-mount.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-11-21 15:41:45 +0000
committerRoy Marples <roy@marples.name>2007-11-21 15:41:45 +0000
commitb321c6891e0be599ef70bc369422ba89a6701544 (patch)
treee290e54f2d49b9a2d11c53e9693442b06bf43de3 /sh/rc-mount.sh
parent95f8344874b09d3b2c52b58ba32ad45c529bd9b3 (diff)
downloadopenrc-b321c6891e0be599ef70bc369422ba89a6701544.tar.gz
openrc-b321c6891e0be599ef70bc369422ba89a6701544.tar.bz2
openrc-b321c6891e0be599ef70bc369422ba89a6701544.tar.xz
The BSD's don't need to umount cleanly when shuttind down, as they have a special kernel service to handle this. As sch, don't error if we don't have fuser
Diffstat (limited to 'sh/rc-mount.sh')
-rw-r--r--sh/rc-mount.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/sh/rc-mount.sh b/sh/rc-mount.sh
index a5e4570..2f85cbf 100644
--- a/sh/rc-mount.sh
+++ b/sh/rc-mount.sh
@@ -25,7 +25,11 @@
# Handy function to handle all our unmounting needs
# mountinfo is a C program to actually find our mounts on our supported OS's
+# We rely on fuser being preset, so if it's not then we don't unmount anything.
+# This isn't a real issue for the BSD's, but it is for Linux.
do_unmount() {
+ type fuser >/dev/null 2>&1 || return 0
+
local cmd="$1" retval=0 retry=
local f_opts="-m -c" f_kill="-s " mnt=
if [ "${RC_UNAME}" = "Linux" ] ; then